Bug 311796 - Nepomuk stores duration in seconds
Summary: Nepomuk stores duration in seconds
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: general (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-16 19:08 UTC by Hrvoje Senjan
Modified: 2013-01-08 06:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hrvoje Senjan 2012-12-16 19:08:32 UTC
As said in title, for both for music and video files, duration is stored/shown in seconds. IMO, it should be HH:MM:SS (HH off course, if available)

Reproducible: Always

Steps to Reproduce:
1. Index audio or video file
2. See the result, 

Actual Results:  
nfo:duration always shown in seconds

Expected Results:  
should be shown as mentioned

I can help in debugging if needed.
Comment 1 Hrvoje Senjan 2012-12-27 11:15:06 UTC
Duration is correctly shown with the patch for Dolphin to use nepomuk-widgets :-)
Comment 2 Vishesh Handa 2012-12-27 11:27:03 UTC
(In reply to comment #1)
> Duration is correctly shown with the patch for Dolphin to use
> nepomuk-widgets :-)

I know, but that doesn't seem to be going in 4.10, so I'll have to fix to old code as well. Fun! :/
Comment 3 Vishesh Handa 2013-01-08 06:01:20 UTC
Fixed with KDE 4.10 RC2